> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.latitude.xyz/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.latitude.xyz/_mcp/server.

# Get a Webhook Subscription

GET https://api.latitude.xyz/v1/webhook_subscriptions/{id}

Returns a specific webhook subscription by ID

Reference: https://docs.latitude.xyz/api-reference/webhooks/get-v-1-webhook-subscriptions-id

## Request

### Path parameters

- `id` (string, required) — Webhook subscription ID

## Response

### 200

Get a Webhook Subscription

- `id` (string, required) — Unique public identifier for the webhook subscription
- `url` (string, required) — URL where webhook events are delivered
- `event_types` (list of enum, required) — Event types this subscription receives
  - Allowed values: `transfer.created`, `transfer.funded`, `transfer.payout_initiated`, `transfer.completed`, `transfer.failed`, `transfer.expired`, `conversion.created`, `conversion.payout_initiated`, `conversion.completed`, `conversion.failed`, `individual.status_changed`, `business.status_changed`
- `is_active` (boolean, required) — Whether the subscription is active
- `created_at` (string, required) — ISO 8601 timestamp when the subscription was created
- `updated_at` (string, required) — ISO 8601 timestamp when the subscription was last updated

## Errors

### 404 Not Found Error

Webhook subscription not found

- `any`

## Examples

**Response**

```json
{
  "id": "string",
  "url": "string",
  "event_types": [
    "transfer.created"
  ],
  "is_active": true,
  "created_at": "2024-01-15T09:30:00Z",
  "updated_at": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.latitude.xyz/v1/webhook_subscriptions/id"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.latitude.xyz/v1/webhook_subscriptions/id';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.latitude.xyz/v1/webhook_subscriptions/id"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.latitude.xyz/v1/webhook_subscriptions/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.latitude.xyz/v1/webhook_subscriptions/id")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.latitude.xyz/v1/webhook_subscriptions/id');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.latitude.xyz/v1/webhook_subscriptions/id");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.latitude.xyz/v1/webhook_subscriptions/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```